.ul-language {
    width: 133% !important;
    background-color: #f5f5f5 !important;
    left: -15px !important;
}
.ul-language li .a-language{
    padding: 5px 10px 5px 15px !important;
    display: flex;
    align-items: center;
    color: #343a40 !important;
}
.header__top__right {
    display: flex;
    justify-content: flex-end;
}
.header__top__right__language {
    margin-right: 5% !important;
}
.header__top__right__language ul li:hover a{
    background-color: #000000 !important;
    color: #f5f5f5 !important;
}
.ul-header {
    background-color: #f5f5f5 !important;
    width: 119% !important;
    left: -7px !important;
}
.ul-header li a{
    display: flex;
    color: #343a40 !important;
}
.img-user {
    object-fit: cover;
    border-radius: 50%;
}
.header-user {
    align-items: center;
    width: 150px !important;
    text-align: center;
}
.img-slide-banner {
    height: 431px;
    display: flex;
    align-items: flex-end;
}
.title-banner {
    height: 0px;
    background: #000000;
    display: flex;
    justify-content: center;
    color: white;
    align-items: center;
    width: 100%;
    opacity: 0;
    font-size: 30px;
    font-weight: 600;
    transition-duration: 0.5s;
    padding: 30px;
}
.title-banner span {
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
    display: block;
    overflow: hidden;
    text-align: center;
}
.img-slide-banner:hover .title-banner{
    opacity: 0.8;
    height: 90px;
}
.header-user .user-name {
    width: 100px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
}
.blog__item__pic {
    padding-bottom: 66.67%;
    height: 0;
    position: relative;
}
.blog__item__pic img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    display: block;
}
.set-bg {
    background-size: 100% 100%;
}
.banner__slider.owl-carousel .owl-nav button {
    font-size: 18px;
    color: #1c1c1c;
    height: 70px;
    width: 30px;
    line-height: 70px;
    text-align: center;
    border: 1px solid #ebebeb;
    position: absolute;
    left: 25px;
    top: 50%;
    -webkit-transform: translateY(-35px);
    background: #ffffff;
}
.banner__slider.owl-carousel .owl-nav button.owl-next {
    left: auto;
    right: 25px;
}
.product__discount__slider.owl-carousel .owl-dots {
    text-align: center;
    margin-top: 30px;
}
.banner__slider.owl-carousel .owl-dots button {
    height: 12px;
    width: 12px;
    border: 1px solid #b2b2b2;
    border-radius: 50%;
    margin-right: 12px;
}
.banner__slider.owl-carousel .owl-dots button.active {
    background: #707070;
    border-color: #6f6f6f;
}

.banner__slider.owl-carousel .owl-dots button:last-child {
    margin-right: 0;
}

.banner__slider.owl-carousel .owl-dots {
    text-align: center;
}

.no-js .owl-carousel, .owl-carousel.owl-loaded {
    display: block !important;
}

.div-categories {
    height: 465px;
}

.category-name {
    padding: 10px !important;
    width: 222px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.hero__categories ul {
    height: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
}

.li-category a{
    width: 175px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.flag{
    object-fit: cover;
}

.header__top__right__language.sp-language {
    align-items: center !important;
    width: 65%;
}

.arrow_carrot-down.sp-header {
    top: 0px !important;
    margin-left: 5px;
}

.ul-language-mobile {
    width: max-content !important;
    background-color: #f5f5f5 !important;
}

.ul-language-mobile li a{
    display: flex;
    align-items: center;
    color: #343a40 !important;
}

.ul-language-mobile li li:hover a{
    background-color: #000000 !important;
    color: #f5f5f5 !important;
}

.ul-user-mobile {
    width: 100% !important;
    background-color: #f5f5f5 !important;
}

.ul-user-mobile li a{
    display: flex;
    align-items: center;
    color: #343a40 !important;
}

.ul-user-mobile li li:hover a{
    background-color: #000000 !important;
    color: #f5f5f5 !important;
}

/*footer*/
.footer-group {
    padding: 0 100px;
}
.footer-group-content {
    border-bottom: 1px solid #ebebeb;
}
.footer__about ul li span {
    color: #000;
    font-weight: 700;
}
.footer__copyright {
    border: none;
}
.footer__widget ul {
    width: 100%;
}
.footer__widget ul .li-category {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}
.footer__widget .about-us .img-thumbnail {
    width: 100%;
    height: 250px;
    background-image: url('../../assets/img/ellipse-tower.jpg');
    background-position: bottom;
    background-size: cover;
    background-repeat: no-repeat;
}
.footer__widget .about-us {
    height: 250px;
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: space-around;
}

@media only screen and (max-width: 990px) {
    .humberger__menu__widget {
        display: flex;
    }
    .header__top__right__language {
        display: flex;
        margin-right: 0 !important;
    }
    .sp-language {
        border-right: 1px solid #e6e6e6;
    }
    .sp-language-login {
        width: 50% !important;
    }
    .sp-language-logout {
        width: 50%;
    }
    .header-user {
        display: flex;
        padding-left: 5px;
    }
    .header-user-login {
        width:  130px !important;
        justify-content: flex-end;
        position: absolute;
        right: 15px;
    }
    .header-user-logout {
        width:  140px !important;
        justify-content: center;
    }
    .header-user-logout .fa-user {
       font-size: 18px;
    }
    .header__top__right__language:after {
        display: none !important;
    }
    .image-group {
        display: flex !important;
        justify-content: center;
        align-items: center;
    }
    .image-group img {
        margin:  0;
        width: 20px;
        height: 20px;
    }
    .title-banner {
        font-size: 22px;
        height: 90px;
        opacity: 0.8;
        padding: 20px;
        white-space: nowrap;
        overflow: hidden;
    }
    .div-categories {
        height: 250px;
    }

    .hero__categories ul {
        overflow-y: scroll;
        overflow-x: hidden;
        height: 250px;
    }

    .category-name {
        width: 305px;
    }

    /*footer*/
    .footer-group {
        padding: 0 50px;
    }
}

/* ip 8 */
@media only screen and (device-width : 375px) and (device-height : 667px) and (-webkit-device-pixel-ratio : 2) {
    .category-name {
        width: 305px;
    }
}
/* ip 8 plus */
@media only screen and (device-width : 414px) and (device-height : 736px) and (-webkit-device-pixel-ratio : 3) {
    .category-name {
        width: 344px;
    }
}

@media only screen and (max-width: 400px)
{
    /*footer*/
    .footer-group {
        padding: 0 25px;
    }
    .footer__widget .about-us {
        display: contents;
    }
    .footer__widget .about-us .img-thumbnail {
        margin-bottom: 20px;
    }
    .footer__widget .about-us div {
        padding: 0;
    }
}
